Bug 536314 - (RHQ-678) HA adminstrative dashboard
HA adminstrative dashboard
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On: RHQ-770 RHQ-771 RHQ-772 RHQ-773 RHQ-774 RHQ-775 RHQ-776 RHQ-777 RHQ-790 RHQ-791 RHQ-814 RHQ-852
Blocks: RHQ-644
  Show dependency treegraph
 
Reported: 2008-07-15 17:44 EDT by Joseph Marques
Modified: 2009-11-10 16:23 EST (History)
0 users

See Also:
Fixed In Version: 1.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-07-15 17:44:00 EDT
current topology view
* how many servers
* which agents are connected to which servers
* the server-list that each agent has

group membership event tracking
* when rhq server instance was added to cluster
* when rhq server instance was removed from cluster

balancing heuristics tracking
* repartition tracking
** when and which agents fell over to some backup
** record of actual fallover (from and to server identities) 
** why - server membership change, or balancing repartition?
* metric load/throughput on each server in the rhq cluster

control / operations
* remotely shutdown over server instances in the rhq cluster (will only work if not using the embedded agent?)
* put all agents [ for some server instance] into maintenance mode

TEST control / operations
* suspend some server - takes it out of the rhq server cluster, which should initiate an agent repartition
* un-suspend some server - puts some rhq server instance back into the cluster, which should initiate an agent repartition
Comment 1 Joseph Marques 2008-10-02 11:42:16 EDT
all features targeted for 1.1 are complete.  remaining sub-issue will be pushed.
Comment 2 Red Hat Bugzilla 2009-11-10 16:14:34 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-678

Note You need to log in before you can comment on or make changes to this bug.